← Tables

Scotland

East Region League Division 2

#TeamPWDLPDBPPtsForm
1Earlston RFC4400+111420WWWW
2Hawick Harlequins RFC4400+162319WWWW
3Edinburgh Northern RFC3201+75311WWL
4Dalkeith RFC4103-12715LLLW
5Leith Rugby Club3102+3924LLW
6Hawick Linden RFC3003-7911LLL
7Forrester RFC3003-18100LLL

Source: Scottish Rugby · checked Oct 14, 04:52 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.